jQuery(document).ready(function($) {
    function updateCartWidget() {
        $.ajax({
            url: etwp_ajax_obj.ajax_url,
            type: 'POST',
            data: {
                action: 'etwp_update_cart'
            },
            success: function(response) {
                $('#etwp-cart-content').html(response.cart_html);
                $('#etwp-cart-total').html(response.cart_total);
            }
        });
    }

    $('body').on('added_to_cart', function() {
        updateCartWidget();
    });

    // Initially load the cart widget content
    updateCartWidget();
});